Page MenuHomePhabricator

Add a possibility to show/hide RevisionSlider
Closed, ResolvedPublic5 Story Points

Description

Task: Include a bar with the title "RevisionSlider" on top of the diff view page. Only load and show the revisionSlider once this element has been clicked. Hide the RevisionSlider if the bar has been clicked again. For the design suggestion, see the comments below.

Motivation: When testing the revisionSlider as a beta feature, we received some feedback from testers who did not want to see the revisionSlider at all times they open a diff view, since it takes up some space of the page and may take a while to load.

Background:
The revisionSlider is a feature that adds a visualization of all revisions to the compare screen. Revisions are represented as bars on a line and can be selected using two pointers. The revisionSlider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is a solution to fulfill a wish of the German Community Wishlist:

English link: https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes
German link: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff or in

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 11:54 AM
Lea_WMDE renamed this task from PLACEHOLDER: add a button to show/hide RevisionSlider to Add a button to show/hide RevisionSlider.Aug 3 2016, 10:07 AM
Lea_WMDE removed Lea_WMDE as the assignee of this task.
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE added a subscriber: Jan_Dittrich.
Lea_WMDE updated the task description. (Show Details)Aug 3 2016, 10:11 AM

Here the proposal which adheres to the design of OOJS. I sadly did not find a collapse/expand component in OOJS. Also, to match the OOJS style we need to change our border width of the left/right-buttons from 2px to 1px (see svg).

more extensive visualizations in the svg.

Lea_WMDE renamed this task from Add a button to show/hide RevisionSlider to Add a possibility to show/hide RevisionSlider.Aug 3 2016, 2:54 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.Aug 3 2016, 3:09 PM
WMDE-leszek moved this task from Backlog to Doing on the TCB-Team-Sprint-2016-08-02 board.

Change 303536 had a related patch set uploaded (by WMDE-leszek):
Do not load RevisionSlider initially, add button to load it

https://gerrit.wikimedia.org/r/303536

Change 303536 merged by jenkins-bot:
Do not load RevisionSlider initially, add button to load it

https://gerrit.wikimedia.org/r/303536

Change 304016 had a related patch set uploaded (by WMDE-leszek):
DNM Do not load RevisionSlider initially, add a button to show/hide it

https://gerrit.wikimedia.org/r/304016

Change 304016 merged by jenkins-bot:
Do not load RevisionSlider initially, add a button to show/hide it

https://gerrit.wikimedia.org/r/304016

WMDE-leszek closed this task as Resolved.Sep 9 2016, 8:26 AM
Addshore moved this task from Doing to Done on the Revision-Slider board.Sep 13 2016, 2:50 PM